classification
Title: collections.abc.ByteString does not register memoryview
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: ZackerySpytz, docs@python, fried, josh.r, lukasz.langa, miss-islington, rhettinger
Priority: normal Keywords: patch

Created on 2018-06-14 21:43 by fried, last changed 2020-07-04 04:23 by gvanrossum. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21311 merged ZackerySpytz, 2020-07-04 03:46
PR 21312 merged miss-islington, 2020-07-04 03:58
PR 21313 merged miss-islington, 2020-07-04 03:58
Messages (6)
msg319557 - (view) Author: Jason Fried (fried) * Date: 2018-06-14 21:43
Looking at the typing Module docs in the section for ByteString

This type represents the types bytes, bytearray, and memoryview.

But collections.abc.ByteString does not have memoryview registered.

Is it because memoryview doesn't support .index()?
msg319604 - (view) Author: Josh Rosenberg (josh.r) * (Python triager) Date: 2018-06-15 11:05
memoryview isn't just for bytes strings though; the format can make it a sequence of many types of different widths, meanings, etc. Calling it a BytesString would be misleading in many cases.
msg319724 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2018-06-16 07:26
The docs should be made more precise.  Perhaps, "This type represents the types bytes, bytearray, and memoryview of byte sequences"?
msg372976 - (view) Author: miss-islington (miss-islington) Date: 2020-07-04 03:58
New changeset b40e434386cd94a367d4a256e3364771140160e7 by Zackery Spytz in branch 'master':
bpo-33864: Clarify the docs for typing.ByteString (GH-21311)
https://github.com/python/cpython/commit/b40e434386cd94a367d4a256e3364771140160e7
msg372977 - (view) Author: miss-islington (miss-islington) Date: 2020-07-04 04:05
New changeset 1cbcf9833f26588a16b5b69d202df727dbd09968 by Miss Islington (bot) in branch '3.9':
bpo-33864: Clarify the docs for typing.ByteString (GH-21311)
https://github.com/python/cpython/commit/1cbcf9833f26588a16b5b69d202df727dbd09968
msg372978 - (view) Author: miss-islington (miss-islington) Date: 2020-07-04 04:06
New changeset 6857ebefc048e316f948091946d337b5ada807a4 by Miss Islington (bot) in branch '3.8':
bpo-33864: Clarify the docs for typing.ByteString (GH-21311)
https://github.com/python/cpython/commit/6857ebefc048e316f948091946d337b5ada807a4
History
Date User Action Args
2020-07-04 04:23:04gvanrossumsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-07-04 04:06:10miss-islingtonsetmessages: + msg372978
2020-07-04 04:05:45miss-islingtonsetmessages: + msg372977
2020-07-04 03:58:54miss-islingtonsetpull_requests: + pull_request20465
2020-07-04 03:58:47miss-islingtonsetpull_requests: + pull_request20464
2020-07-04 03:58:28miss-islingtonsetnosy: + miss-islington
messages: + msg372976
2020-07-04 03:46:53ZackerySpytzsetkeywords: + patch
nosy: + ZackerySpytz

pull_requests: + pull_request20463
stage: patch review
2018-06-16 07:26:50rhettingersetnosy: + rhettinger
messages: + msg319724
2018-06-15 11:05:09josh.rsetnosy: + josh.r
messages: + msg319604
2018-06-14 21:43:36friedcreate